Subject: bug#76530: closed (Re: bug#76530: Remove or update dir file in the debbugs package)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Mar 2025 09:37:02 +0000

Your bug report

#76530: Remove or update dir file in the debbugs package

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76530: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76530
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76530: Remove or update dir file in the debbugs package
From: Michael Albinus <[email-masked]>
To: [email-masked]
Cc: [email-masked], Stefan Monnier <[email-masked]>
Date: Tue, 11 Mar 2025 10:36:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Albinus <[email-masked]> writes:

Hi Jonas,

>> I recommend you remove this file; I believe it is not commonly tracked.
>
> (package-initialize) adds the directories, where packages are installed,
> to Info-directory-list. Therefore, the dir file is taken into account.

Finally, I've removed the dir file from git, as recommended by Stefan
Monnier. It is generated automatically when creating a package release.

If you need it it locally in git, Makefile is your friend. Call 'make doc'.

Closing the bug.

>>     Cheers,
>>     Jonas

Best regards, Michael.

Subject: Remove or update dir file in the debbugs package
From: Jonas Bernoulli <[email-masked]>
To: [email-masked]
Date: Mon, 24 Feb 2025 21:04:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The last commit changed the $direntry name of the manuals, but the
tracked dir file was not updated.  Because that file is being tracked,
running install-info results in uncommitted changes.

I recommend you remove this file; I believe it is not commonly tracked.

Alternatively regenerate it and check in the changes.  I would have done
that myself, but this resulted in more changes than what one would
expect from looking just at 69f4dc14e8cbffbada422fe4e2d5640692a63425.
It appears it makes a difference what version of install-info is used --
another reason not to check in this file.

    Cheers,
    Jonas